Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.events
Class PurchaseCartEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
                      com.bea.commerce.ebusiness.tracking.events.PurchaseCartEvent

All Implemented Interfaces:
  ConfigurableEntity, EventConstants, Serializable

public class PurchaseCartEvent
extends ShoppingEvent

Event for tracking the purchase of an entire shopping cart.

See Also:
  Serialized Form

Field Summary
`static String` | `ORDER_ID` Order id key Attribute value is a Long
`static String` | `TOTAL_PRICE` Event attribute key name for the total cost of the shopping cart Attribute value is a Double
`static String` | `TYPE` The event type

Fields inherited from class com.bea.commerce.ebusiness.tracking.events.ShoppingEvent
`APPLICATION_NAME, CURRENCY, QUANTITY, SKU`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`APPLICATION, REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`PurchaseCartEvent(HttpSession session, HttpServletRequest theRequest, Double theTotalPrice, String theOrderId, String aCurrency, String aApplicationName)` Create a new PurchaseCartEvent.
`PurchaseCartEvent(String theSessionId, String theUserId, HttpServletRequest theRequest, Double theTotalPrice, String theOrderId, String aCurrency, String aApplicationName)` Deprecated.

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also:
    Constant Field Values

### TOTAL_PRICE

    public static final String TOTAL_PRICE

  Event attribute key name for the total cost of the shopping cart Attribute value is a Double

  See Also:
    Constant Field Values

### ORDER_ID

    public static final String ORDER_ID

  Order id key Attribute value is a Long

  See Also:
    Constant Field Values

Constructor Detail

### PurchaseCartEvent

    public PurchaseCartEvent(HttpSession session,
                             HttpServletRequest theRequest,
                             Double theTotalPrice,
                             String theOrderId,
                             String aCurrency,
                             String aApplicationName)

  Create a new PurchaseCartEvent. This ctor must be used to track anonymous users.

Parameters:
  `session` - the http servlet session object
  `theRequest` - the http servlet request object
  `theTotalPrice` - the shopping cart's total price
  `theOrderId` - the order id for the order
  `aCurrency` - the currency (null if unknown)
  `aApplicationName` - application name (aka storefront) (optionally null)

### PurchaseCartEvent

    public PurchaseCartEvent(String theSessionId,
                             String theUserId,
                             HttpServletRequest theRequest,
                             Double theTotalPrice,
                             String theOrderId,
                             String aCurrency,
                             String aApplicationName)

  Deprecated.

  Create a new PurchaseCartEvent.

Parameters:
  `theSessionId` - from HttpSession.getId()
  `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
  `theRequest` - the http servlet request object
  `theTotalPrice` - the shopping cart's total price
  `theOrderId` - the order id for the order
  `aCurrency` - the currency (null if unknown)
  `aApplicationName` - application name (aka storefront) (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved